package com.jsowell.pile.service;

import com.jsowell.pile.domain.AdapayCallbackRecord;

import java.util.List;

public interface AdapayCallbackRecordService {
    void saveAdapayCallbackRecord(AdapayCallbackRecord callbackRecord);

    AdapayCallbackRecord selectByOrderCode(String orderCode);

    AdapayCallbackRecord selectByPaymentId(String paymentId);

    List<AdapayCallbackRecord> selectByDateTime(String startTime, String endTime);
}
